import logging

VERSION = "2.0.0"
__version__ = VERSION

logger = logging.getLogger(__name__)
logger.setLevel(logging.DEBUG)

# ruff: noqa: E402

from .task import StreaqRetry, TaskPriority, TaskStatus
from .types import WrappedContext
from .utils import StreaqError
from .worker import Worker

__all__ = [
    "StreaqError",
    "StreaqRetry",
    "TaskPriority",
    "TaskStatus",
    "Worker",
    "WrappedContext",
]
